<?php
// Customizer Default Data
if ( ! function_exists( 'rttheme_generate_defaults' ) ) {
    function rttheme_generate_defaults() {
        $customizer_defaults = array(

            // General
            'logo'               	=> '',
            'logo_light'          	=> '',
            'logo_width'            => '',
            'mobile_logo_width'     => '',
			'container_width'		=> '1170',
            'preloader'          	=> 1,
            'preloader_image'    	=> '',
            'back_to_top'     		=> 1,
            'display_no_preview_image'    => 0,
            'display_no_prev_img_related_post'  => 0,

            // Contact Socials
            'phone'   			=> '(210)-9856988',
            'email'   			=> 'email@example.com',
            'address'   		=> '120 F 2th Yt, Melbone NY 1259',
            'top_header_text'   => 'Are you ready to grow up your business?',
            'social_facebook'  	=> '',
            'social_twitter'   	=> '',
            'social_gplus' 		=> '',
            'social_linkedin'   => '',
            'social_behance' 	=> '',
            'social_dribbble'  	=> '',
            'social_youtube'    => '',
            'social_pinterest'  => '',
            'social_instagram'  => '',
            'social_skype'      => '',
            'social_rss'       	=> '',
            'social_snapchat'   => '',

			// Color
			'primary_color' 			=> '#fa360a',
			'secondary_color' 			=> '#ffa996',
            'gradient_dark_color' 		=> '#fa360a',
			'gradient_light_color' 		=> '#ff5e17',
			'body_color' 				=> '#444444',
			'menu_color' 				=> '',
			'menu_hover_color' 			=> '',
			'menu_color_tr' 			=> '#010101',
			'submenu_color' 			=> '#000',
			'submenu_hover_color' 		=> '#fa360a',
			'submenu_bgcolor' 			=> '#ffffff',
			'submenu_hover_bgcolor' 	=> '#ffffff',
            'menu_offcanvas_color_tr'   =>"",
            'search_color_tr'           =>"",
            'menu_offcanvas_color'      =>'',
            'icon_color'                =>'',
            'sticky_menu_color'         =>'',

            // header
			'top_bar'  					=> 1,
			'top_bar_style'  			=> 1,
            'top_bar_phone_show'        => 0,
			'top_bar_bgcolor'			=> '',
			'top_bar_color'				=> '',
			'top_bar_icon_color'		=> '',
            'top_barbtn_text_color'     =>'#ffffff',

			//mobile header
            'mobile_header_menu'       =>0,
            'mobile_header_phone'      =>1,
            'mobile_header_social'     =>0,
            'mobile_header_make_claim' =>1,
            'mobile_header_cart_icon'  =>0,
			'sticky_menu'       		=> 1,
			'tr_header'       			=> 0,
			'header_opt'       			=> 1,
            'header_style'      		=> 3,
            'header_hotline_txt'      	=> 'Hotline Number',
            'search_icon'      			=> 0,
            'cart_icon'      			=> 0,
            'vertical_menu_icon' 		=> 0,
            'cart_icon' 				=> 0,
			'online_button'				=>'1',
            'header_team_btn_switch'    =>'1',
            'online_button_text' 		=> 'Find An Advicer',
            'header_team_btn'           => 'Contact Us',
            'online_button_link' 		=> '#',
            'header_team_button_link'   =>'#',
            'resmenu_width' 			=> 992,

			// Footer
            'footer_style'        		=> 1,
            'footer_top_logo_area'      =>0,
            'copyright_text'      		=> '&copy; ' . date('Y') . ' finbuzz. All Rights Reserved by <a target="_blank" rel="nofollow" href="' . FINBUZZ_AUTHOR_URI . '">RadiusTheme</a>',
			'footer_column_1'			=> 3,
            'footer_column_2'           =>3,
            'footer_column_3'           =>4,
			'footer_area'				=> 1,
			'footer_shape'				=> 0,
			'footer_bgtype' 			=> 'fbgcolor',
			'footer3_bgtype' 			=> 'f3bgcolor',
			'fbgcolor' 					=> '#ffffff',
			'f3bgcolor' 				=> '',
			'foverlay' 					=> '',
			'f4bgcolor' 				=> '',
			'f4bg_bottom_color' 		=> '',
			'footer_bottom_color' 		=> '',
			'footer_top_color' 		    => '',
			'fbgimg'					=> '',
			'f3bgimg'					=> '',
			'footer_title_color' 		=> '',
			'footer_color' 				=> '',
			'footer_link_color' 		=> '',
			'footer_link_hover_color' 	=> '',
            'address1_title'            =>'',
            'address2_title'            =>'',
            'address3_title'            =>'',
            'footer_address1'           =>'',
            'footer_address2'           =>'',
            'footer_address3'           =>'',

			// Banner
			'banner_heading_color' 		=> '#ffffff',
			'breadcrumb_link_color' 	=> '#ebebeb',
			'breadcrumb_link_hover_color' 	=> '#fa360a',
			'breadcrumb_active_color' 	=> '#fa360a',
			'breadcrumb_seperator_color'=> '#a6a6a6',
			'banner_bg_opacity' 		=> 0,
			'banner_top_padding'    	=> 140,
            'banner_bottom_padding' 	=> 150,
            'breadcrumb_active' 		=> 0,
            'banner_shape'              => 0,
            'banner_shape_img1'         =>'',
            'banner_shape_img2'         =>'',


			// Post Type Slug
			'team_slug' 				=> 'team',
			'service_slug' 				=> 'service',
            'gallery_slug' 				=> 'gallery',
			'portfolio_slug' 			=> 'portfolio',
			'testimonial_slug' 			=> 'testimonial',
			'logoshowcase_slug' 		=> 'logo-showcase',
			'team_cat_slug' 			=> 'team-category',
			'service_cat_slug' 			=> 'service-category',
            'gallery_cat_slug' 			=> 'gallery-category',
			'portfolio_cat_slug' 		=> 'portfolio-category',
			'testim_cat_slug' 			=> 'testimonial-category',

            // Page Layout Setting
            'page_layout'        => 'full-width',
			'page_padding_top'    => 130,
            'page_padding_bottom' => 120,
            'page_banner' => 1,
            'page_breadcrumb' => 1,
            'page_bgtype' => 'bgcolor',
            'page_bgcolor' => '#272727',
            'page_bgimg' => '',
            'page_page_bgimg' => '',
            'page_page_bgcolor' => '#ffffff',

			//Blog Layout Setting
            'blog_layout' => 'right-sidebar',
			'blog_padding_top'    => 130,
            'blog_padding_bottom' => 120,
            'blog_banner' => 1,
            'blog_breadcrumb' => 1,
			'blog_bgtype' => 'bgcolor',
            'blog_bgcolor' => '#272727',
            'blog_bgimg' => '',
            'blog_page_bgimg' => '',
            'blog_page_bgcolor' => '#ffffff',

			//Single Post Layout Setting
			'single_post_layout' => 'right-sidebar',
			'single_post_padding_top'    => 120,
            'single_post_padding_bottom' => 120,
            'single_post_banner' => 1,
            'single_post_breadcrumb' => 1,
			'single_post_bgtype' => 'bgcolor',
            'single_post_bgcolor' => '#272727',
            'single_post_bgimg' => '',
            'single_post_page_bgimg' => '',
            'single_post_page_bgcolor' => '#ffffff',
            'animation' => 0,

			//Service Layout Setting
			'service_archive_layout' => 'right-sidebar',
			'service_archive_padding_top'    => 120,
            'service_archive_padding_bottom' => 120,
            'service_archive_banner' => 1,
            'service_archive_breadcrumb' => 1,
			'service_archive_bgtype' => 'bgcolor',
            'service_archive_bgcolor' => '#272727',
            'service_archive_bgimg' => '',
            'service_archive_page_bgimg' => '',
            'service_archive_page_bgcolor' => '#ffffff',

			//Service Single Layout Setting
			'service_layout' => 'right-sidebar',
			'service_padding_top'    => 120,
            'service_padding_bottom' => 120,
            'service_banner' => 1,
            'service_breadcrumb' => 1,
			'service_bgtype' => 'bgcolor',
            'service_bgcolor' => '#272727',
            'service_bgimg' => '',
            'service_page_bgimg' => '',
            'service_page_bgcolor' => '#ffffff',

			//Portfolio Layout Setting
			'portfolio_archive_layout' => 'full-width',
			'portfolio_archive_padding_top'    => 120,
            'portfolio_archive_padding_bottom' => 120,
            'portfolio_archive_banner' => 1,
            'portfolio_archive_breadcrumb' => 1,
			'portfolio_archive_bgtype' => 'bgcolor',
            'portfolio_archive_bgcolor' => '#272727',
            'portfolio_archive_bgimg' => '',
            'portfolio_archive_page_bgimg' => '',
            'portfolio_archive_page_bgcolor' => '#ffffff',

			//Portfolio Single Layout Setting
			'portfolio_layout' => 'full-width',
			'portfolio_padding_top'    => 120,
            'portfolio_padding_bottom' => 120,
            'portfolio_banner' => 1,
            'portfolio_breadcrumb' => 1,
			'portfolio_bgtype' => 'bgcolor',
            'portfolio_bgcolor' => '#272727',
            'portfolio_bgimg' => '',
            'portfolio_page_bgimg' => '',
            'portfolio_page_bgcolor' => '#ffffff',


            //Gallery Layout Setting
			'gallery_archive_layout' => 'full-width',
			'gallery_archive_padding_top'    => 120,
            'gallery_archive_padding_bottom' => 120,
            'gallery_archive_banner' => 1,
            'gallery_archive_breadcrumb' => 1,
			'gallery_archive_bgtype' => 'bgcolor',
            'gallery_archive_bgcolor' => '#272727',
            'gallery_archive_bgimg' => '',
            'gallery_archive_page_bgimg' => '',
            'gallery_archive_page_bgcolor' => '#ffffff',

			//Gallery Single Layout Setting
			'gallery_layout' => 'full-width',
			'gallery_padding_top'    => 120,
            'gallery_padding_bottom' => 120,
            'gallery_banner' => 1,
            'gallery_breadcrumb' => 1,
			'gallery_bgtype' => 'bgcolor',
            'gallery_bgcolor' => '#272727',
            'gallery_bgimg' => '',
            'gallery_page_bgimg' => '',
            'gallery_page_bgcolor' => '#ffffff',

			//Team Layout Setting
			'team_archive_layout' => 'full-width',
			'team_archive_padding_top'    => 120,
            'team_archive_padding_bottom' => 120,
            'team_archive_banner' => 1,
            'team_archive_breadcrumb' => 1,
			'team_archive_bgtype' => 'bgcolor',
            'team_archive_bgcolor' => '#272727',
            'team_archive_bgimg' => '',
            'team_archive_page_bgimg' => '',
            'team_archive_page_bgcolor' => '#ffffff',

			//Team Single Layout Setting
			'team_layout' => 'full-width',
			'team_padding_top'    => 120,
            'team_padding_bottom' => 120,
            'team_banner' => 1,
            'team_breadcrumb' => 1,
			'team_bgtype' => 'bgcolor',
            'team_bgcolor' => '#272727',
            'team_bgimg' => '',
            'team_page_bgimg' => '',
            'team_page_bgcolor' => '#ffffff',

			//Search Layout Setting
			'search_layout' => 'right-sidebar',
			'search_padding_top'    => 120,
            'search_padding_bottom' => 120,
            'search_banner' => 1,
            'search_breadcrumb' => 1,
			'search_bgtype' => 'bgcolor',
            'search_bgcolor' => '#272727',
            'search_bgimg' => '',
            'search_page_bgimg' => '',
            'search_page_bgcolor' => '#ffffff',
            'search_excerpt_length' => 40,

			//Error Layout Setting
			'error_padding_top'    => 120,
            'error_padding_bottom' => 120,
            'error_banner' => 1,
            'error_breadcrumb' => 1,
			'error_bgtype' => 'bgcolor',
            'error_bgcolor' => '#272727',
            'error_bgimg' => '',
            'error_page_bgimg' => '',
            'error_page_bgcolor' => '#ffffff',

            // Blog
			'blog_style'				=> 'style2',
			'post_banner_title'  		=> '',
			'post_content_limit'  		=> '30',
			'blog_content'  			=> 1,
			'blog_date'  				=> 1,
			'blog_author_name'  		=> 1,
			'blog_comment_num'  		=> 0,
			'blog_cats'  				=> 1,
			'blog_view'  				=> 0,
			'blog_length'  				=> 0,

			// Post
			'post_style'				=> 'style1',
			'post_featured_image'		=> 1,
			'post_author_name'			=> 1,
			'post_date'					=> 1,
			'post_comment_num'			=> 1,
			'post_cats'					=> 1,
			'post_tags'					=> 1,
			'post_share'				=> 0,
			'post_links'				=> 0,
			'post_author_bio'			=> 0,
			'post_view'					=> 1,
			'post_length'				=> 0,
			'show_related_post'			=> 0,
			'show_related_post_cat'		=> 0,
			'show_related_post_date'	=> 1,
			'show_related_post_number'	=> 5,
      'shop_sidebar'              =>0,
			'show_related_post_title_limit'	=> 8,
			'related_post_query'		=> 'cat',
			'related_post_sort'			=> 'recent',

			// Post Share
			'post_share_facebook' 		=> 1,
			'post_share_twitter' 		=> 1,
			'post_share_google' 		=> 1,
			'post_share_linkedin' 		=> 1,
			'post_share_pinterest' 		=> 1,
			'post_share_whatsapp' 		=> 0,
			'post_share_stumbleupon' 	=> 0,
			'post_share_tumblr' 		=> 0,
			'post_share_reddit' 		=> 0,
			'post_share_email' 			=> 0,
			'post_share_print' 			=> 0,

            // portfolio
            'portfolio_archive_style'     => 'style1',
            'portfolio_arexcerpt_limit'   => 8,
            'portfolio_ar_category'  	  => 1,
            'portfolio_ar_excerpt'  	  => 1,
            'portfolio_ar_link'  		  => 1,
            'portfolio_ar_number'         =>1,
            'portfolio_client'  		  => 1,
            'portfolio_start_date'  	  => 1,
            'portfolio_end_date'  	      => 1,
            'portfolio_website'  		  => 1,
            'portfolio_category'  		  => 1,
            'portfolio_post_links'        =>0,
            'related_port_cat'  		  => 0,
            'show_related_port'  		  => 0,
            'show_related_port_content'   => 1,
            'port_related_title'  		  => 'Related Portfolio',
            'related_port_number'  		  => 5,
            'related_port_title_limit'    => 5,

			// Team
			'team_archive_style' 		=> 'style1',
			'team_arexcerpt_limit' 		=> 14,
			'team_ar_excerpt' 			=> 1,
			'team_ar_position' 			=> 1,
            'team_ar_button'            =>1,
			'team_ar_social' 			=> 1,
			'show_related_team' 		=> 1,
			'team_related_title' 		=> 'Other Team Members',
			'related_team_social' 		=> 1,
			'related_team_position' 	=> 1,
			'related_team_number' 		=> 5,
			'related_team_title_limit' 	=> 5,

			// Service
			'services_style' 				=> 'style1',
			'service_excerpt_limit' 		=> 10,
			'service_ar_icon' 			    => 1,
			'service_ar_button' 			=> 1,
			'show_related_service' 		    => 0,
			'service_related_title' 		=> 'Related Service',
			'related_service_number' 		=> 5,
			'related_service_title_limit'   => 5,

            // Gallery
            'gallery_archive_style'             => 'style1',
            'gallery_arexcerpt_limit'  	        => 10,
            'gallery_ar_category'  		        => 1,
            'gallery_ar_excerpt'  		        => 0,
            'gallery_ar_view'  			        => 1,
            'gallery_ar_link'  			        => 1,
            'gallery_show_related_port'         =>0,
            'gallery_show_related_port_content' =>0,
            'gallery_related_port_cat'          =>1,
            'gallery_port_related_title'        =>'Related Gallery',
            'gallery_related_port_number'       =>5,
            'gallery_related_port_title_limit'  =>5,

            // Error
            'error_title' 				=> 'Error 404',
            'error_bodybg' 				=> '#ffffff',
            'error_text1_color' 		=> '#111111',
            'error_text2_color' 		=> '#000000',
			'error_bodybanner' 			=> '',
            'ops_text' 					=> '',
            'error_text1' 				=> '',
            'error_text2' 				=> 'Sorry, The Page Not Found',
            'error_buttontext' 			=> 'GO BACK TO HOME',
			'error_bg_show'             =>1,

            //Shop Archive Layout Setting
			'shop_layout' => 'left-sidebar',
			'shop_padding_top'    => 120,
            'shop_padding_bottom' => 120,
            'shop_banner' => 1,
            'shop_breadcrumb' => 0,
			'shop_bgtype' => 'bgcolor',
            'shop_bgcolor' => '#272727',
            'shop_bgimg' => '',
            'shop_page_bgimg' => '',
            'shop_page_bgcolor' => '#ffffff',

            'products_cols_width' => 4,
			'products_per_page' => 8,
			'wc_shop_cart_icon' => 1,
			'wc_shop_quickview_icon' => 1,
			'wc_shop_wishlist_icon' => 0,
			'wc_shop_compare_icon' => 0,
			'wc_shop_rating' => 0,

			//Product Single Layout Setting
			'product_layout' => 'full-width',
			'product_padding_top'    => 120,
            'product_padding_bottom' => 120,
            'product_banner' => 1,
            'product_breadcrumb' => 0,
			'product_bgtype' => 'bgcolor',
            'product_bgcolor' => '#272727',
            'product_bgimg' => '',
            'product_page_bgimg' => '',
            'product_page_bgcolor' => '#ffffff',

            'wc_product_social_icon' => 0,
            'wc_product_meta' => 1,
            'wc_product_wishlist_icon' => 0,
			'wc_product_compare_icon' => 0,
			'wc_product_quickview_icon' => 1,
			'wc_product_search_icon' => 1,
			'related_woo_product' => 1,
			'related_product_title' => 'Related Products',
			'related_product_per_page' => 3,

            // Typography
            'typo_body' => json_encode(
                array(
                    'font' => 'Roboto',
                    'regularweight' => 'normal',
                )
            ),
            'typo_body_size' => '16px',
            'typo_body_height'=> '28px',

            //Menu Typography
            'typo_menu' => json_encode(
                array(
                    'font' => 'Source Sans Pro',
                    'regularweight' => '600',
                )
            ),
            'typo_menu_size' => '16px',
            'typo_menu_height'=> '22px',

            //Sub Menu Typography
            'typo_submenu_size' => '15px',
            'typo_submenu_height'=> '22px',


            // Heading Typography
            'typo_heading' => json_encode(
                array(
                    'font' => 'Source Sans Pro',
                    'regularweight' => '700',
                )
            ),
            //H1
            'typo_h1' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h1_size' => '46px',
            'typo_h1_height' => '50px',

            //H2
            'typo_h2' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h2_size' => '36px',
            'typo_h2_height'=> '44px',

            //H3
            'typo_h3' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h3_size' => '28px',
            'typo_h3_height'=> '36px',

            //H4
            'typo_h4' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h4_size' => '22px',
            'typo_h4_height'=> '32px',

            //H5
            'typo_h5' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h5_size' => '18px',
            'typo_h5_height'=> '28px',

            //H6
            'typo_h6' => json_encode(
                array(
                    'font' => '',
                    'regularweight' => '700',
                )
            ),
            'typo_h6_size' => '14px',
            'typo_h6_height'=> '24px',


        );

        return apply_filters( 'rttheme_customizer_defaults', $customizer_defaults );
    }
}
